Subject: Re: [Gen-art] review of draft-ietf-mmusic-rtsp-nat-21.txt

From: Jari Arkko <[email-masked]>
Date: Mon, 7 Jul 2014 09:06:59 -0400

Francis, Jeff - thanks for the review and the edits. Very much appreciated.

Jari

On 27 Jun 2014, at 05:54, Jeff Goldberg (jgoldber) <[email-masked]> wrote:

> Dear Francis,
> I’ve discussed this with a few people at Cisco who have done RFCs and we’ve come to the conclusion that SHOULD and MAY can be removed. The sentence now reads:
> 
> An IP address is preferred for simplicity but both an IP Address and FQDN can be used
> 
> As you can tell, this is my first draft that has progressed at all, and I thank you kindly for helping a “newbie”
> 
> I’m going to upload a new version with the fixes.
> 
> Jeff
> 
> 
> On 25 Jun 2014, at 15:20, Francis Dupont <[email-masked]> wrote:
> 
>> In your previous mail you wrote:
>> 
>>> Dear Francis,
>>> I've done the changes, but I need some more information:
>>> 
>>>> 4.2 page 9 (connection-address): (ambiguous wording)
>>>>    ...  An IP address
>>>>    SHOULD be used, but an FQDN MAY be used in place of an IP address.
>>> 
>>> [JIG] I'm not getting the ambiguity.
>> 
>> => IMHO "A SHOULD be used, but B MAY be used" without a complete list
>> of cases where B SHOULD be used (i.e., the exceptions) is inherently
>> ambiguous.
>> 
>>> Unusually, we deliberately _are_ recommending using an IP address
>>> over an FQDN but allowing both
>> 
>> => I understand the idea but IMHO the wording is not the right one
>> (i.e., SHOULD is too strong).
>> 
>>> and the reasoning for preferring an IP address is self
>>> evident from additional complexity in the succeeding sentences.
>> 
>> => the succeeding sentences are about support (where SHOULD+MAY
>> don't conflict).
>> 
>> Thanks
>> 
>> [email-masked]
>> 
>> PS: there are (at least) two ways to solve this:
>> - to ignore my comment (I put it into editorial comments to allow this
>> solution, the other choice was to make a minor point with a high
>> probability to see a DISCUSS about the point :-).
>> - to get some advice from the list as I shall be very surprised it is
>> the first case we have a conflict for a SHOULD+MAY about use.
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art